Bug 116408 - LibreOffice not associated with pdf docs in "open with" contextual menu in MacOS
Summary: LibreOffice not associated with pdf docs in "open with" contextual menu in MacOS
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Desktop-Integration
  Show dependency treegraph
 
Reported: 2018-03-14 19:52 UTC by Ted Lee
Modified: 2019-03-17 03:52 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Screen shot of "open with" contextual menu (353.22 KB, image/png)
2018-03-14 19:54 UTC, Ted Lee
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ted Lee 2018-03-14 19:52:05 UTC
Description:
The "open with..." contextual menu (right-click or control-click) for a pdf document does not present LibreOffice as an alternative to the default app (preview.) You can get LibreOffice to open a pdf doc from that menu by navigating to the app from the "other..." selection, but at least from 5.4.5 on it is not even presented as a "recommended" app and you have to enable the "all applications" setting.  (in LO 3.3 at least it comes up as a recommended app.)  I've looked over the info.plist for 3.3 vs 5.4.5 and can't find an obvious reason why 3.3 and 5.4.5 have different behavior, but it is clear that neither one has "pdf" as a type extension it understands.  I've looked at the info.plist for NeoOffice and does have an entry for pdf and NeoOffice is presented as an alternative to preview in the "open with" contextual menu. (see attached screen shot.) Yes, I know it is possible to permanently designate LibreOffice as the preferred app for opening pdf by making the appropriate selection in that contextual menu or the info window, but that's not what I'm talking about.  I just want to occasionally, but easily, have LibreOffice open a pdf doc, not make it a permanent association.  I assume all that is required is adding an entry (or entries) for pdf files somewhere in the info.plist, but there are so many different things that I don't understand about them I haven't bothered to experiment.  

Steps to Reproduce:
1.Control-click (or right click) on a pdf document
2.
3.

Actual Results:  
See attached screen shot.

Expected Results:
LibreOffice should be listed as one of the applications below the first (default or permanently associated) app. I have no idea why some of what's there show up, but at least LibreOffice should!


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.0.2.1
Build ID: f7f06a8f319e4b62f9bc5095aa112a65d2f3ac89
CPU threads: 4; OS: Mac OS X 10.13.3; UI render: default; 
Locale: en-US (en_US.UTF-8); Calc: group


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_3) AppleWebKit/604.5.6 (KHTML, like Gecko) Version/11.0.3 Safari/604.5.6
Comment 1 Ted Lee 2018-03-14 19:54:23 UTC
Created attachment 140641 [details]
Screen shot of "open with" contextual menu
Comment 2 Ted Lee 2018-03-14 19:58:01 UTC
I see in submitting the bug I missed step 2, which should read "select 'open with' menu item."!
Comment 3 Alex Thurgood 2018-03-16 09:55:53 UTC
Confirming on MacOSX 10.13.3.

Ironically, Microsoft Word appears in the context menu of apps in which one can load a PDF, but LibreOffice does not.
Comment 4 QA Administrators 2019-03-17 03:52:01 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug